<div>
  <a [routerLink]="['/admin']" class="home"
    ><mat-icon>admin_panel_settings</mat-icon></a
  >
</div>
<div *ngIf="isLoaded">

  <div class="mat-elevation-z8">
    <table
      mat-table
      [dataSource]="dataSource"
      matSort
      (matSortChange)="sortData($event)"
    >
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
        <td mat-cell *matCellDef="let row">{{ row.id }}</td>
      </ng-container>

      <ng-container matColumnDef="categoryName">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Category Name</th>
        <td mat-cell *matCellDef="let row">{{ row.category_name }}</td>
      </ng-container>

      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef>
          <button mat-icon-button color="primary" (click)="addCategory()">
            <mat-icon aria-label="Example icon-button with a heart icon"
              >add</mat-icon
            >
          </button>
        </th>
        <td mat-cell *matCellDef="let category">
          <button mat-raised-button (click)="editCategory(category)">
            <mat-icon>edit</mat-icon>
          </button>
          <button mat-raised-button (click)="deleteCategory(category.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>

    <mat-paginator
      [length]="totalSize"
      [pageSize]="pageSize"
      [pageIndex]="currentPage"
      [pageSizeOptions]="[5, 10, 25]"
      (page)="handlePage($event)"
    ></mat-paginator>
  </div>
</div>

<div
  class="d-flex justify-self-center align-self-center h-100"
  *ngIf="!isLoaded"
>
  <mat-spinner style="margin: 0 auto"></mat-spinner>
</div>
